LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XTextSearch2 Interface Reference

enables an object to search in its content. More...

`import"XTextSearch2.idl";`

Inheritance diagram for XTextSearch2:

## Public Member Functions
void | setOptions2 ([in] SearchOptions2 options)
| set the options for the forward or backward search. More...
Public Member Functions inherited from XTextSearch
void | setOptions ([in] SearchOptions options)
| set the options for the forward or backward search. More...
SearchResult | searchForward ([in] string searchStr, [in] long startPos, [in] long endPos)
| search forward in the searchStr, starts at startPos and ends by endpos. More...
SearchResult | searchBackward ([in] string searchStr, [in] long startPos, [in] long endPos)
| search backward in the searchStr, starts at startPos and ends by endpos. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables an object to search in its content.

Derived from com::sun::star::util::XTextSearch this interface adds simple wildcard search capabilities using com::sun::star::util::SearchOptions2 options.

Since
  LibreOffice 5.2

## Member Function Documentation

## ◆ setOptions2()

void setOptions2 | ( | [in] SearchOptions2 | options | ) |

set the options for the forward or backward search.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XTextSearch2.idl